package com.tencent.mm.pluginsdk;

import com.tencent.matrix.trace.core.AppMethodBeat;
import com.tencent.mm.pluginsdk.a.c;
import com.tencent.mm.pluginsdk.p.b;
import com.tencent.mm.sdk.platformtools.ab;

public class p$a {
    public static b vav;

    public static b dgQ() {
        AppMethodBeat.i(27227);
        if (vav == null) {
            ab.w("MicroMsg.IPluginEvent.Factory", "get shake mgr is null, new default");
            vav = new c();
        }
        b bVar = vav;
        AppMethodBeat.o(27227);
        return bVar;
    }
}
